FROM python:3.12.10-alpine
RUN apk add --no-cache \
    ffmpeg \
    opus \
    opus-dev

WORKDIR /usr/src/app

COPY requirements.txt ./

RUN pip install --no-cache-dir -r requirements.txt

COPY . .

CMD python bot.py
